/// <reference types="node" />
import type WalletConnectProvider from '@walletconnect/ethereum-provider';
import type { IWCEthRpcConnectionOptions } from '@walletconnect/types';
import type { Actions } from '@web3-react/types';
import { Connector } from '@web3-react/types';
import type { EventEmitter } from 'node:events';
interface MockWalletConnectProvider extends Omit<WalletConnectProvider, 'on' | 'off' | 'once' | 'removeListener'>, EventEmitter {
}
export declare class WalletConnect extends Connector {
    /** {@inheritdoc Connector.provider} */
    provider: MockWalletConnectProvider | undefined;
    private readonly options?;
    private eagerConnection?;
    /**
     * @param options - Options to pass to `@walletconnect/ethereum-provider`
     * @param connectEagerly - A flag indicating whether connection should be initiated when the class is constructed.
     */
    constructor(actions: Actions, options: IWCEthRpcConnectionOptions, connectEagerly?: boolean);
    private disconnectListener;
    private chainChangedListener;
    private accountsChangedListener;
    private initialize;
    /** {@inheritdoc Connector.activate} */
    activate(): Promise<void>;
    /** {@inheritdoc Connector.deactivate} */
    deactivate(): Promise<void>;
}
export {};
